<?php

namespace App\Models\Virtual\Relations;

use App\Models\Card\Card;
use App\Models\Virtual\Order;
use App\Models\Virtual\Company;
use App\Models\Virtual\Package;

trait OrderRelations
{
    public function company()
    {
        return $this->belongsTo(Company::class, 'company_id', 'id');
    }

    public function package()
    {
        return $this->belongsTo(Package::class, 'package_id', 'id');
    }

    public function order()
    {
        return $this->belongsTo(Order::class, 'order_id', 'id');
    }

    public function card()
    {
        return $this->belongsTo(Card::class, 'sim', 'sim');
    }
}
